import { useLocalSearchParams } from "expo-router";
import { ActivityPointScreen } from "../../../../../../../src/activity/screens/activity_point";


export default function Travel() {
    const { ...rest } = useLocalSearchParams<{ stateId: string, townId: string, activityId: string, id: string }>();
    
    if (!rest.stateId || !rest.townId || !rest.activityId || !rest.id) {
        return null;
    }
    
    return (
        <ActivityPointScreen stateId={parseInt(rest.stateId)} townId={parseInt(rest.townId)} activityId={parseInt(rest.activityId)} id={parseInt(rest.id)} />
    );
}